<?php
/**
 * Clase que representa el tipo para una factura que se asocia a una Demanda.
 **/
class DemandaFacturaBtMalaga extends ServicioFacturaBtMalaga {

    /**
     * Función que devuelve los campos para editar
     * el contenido como subcampo.
     **/
    protected function cargarSubContenido() {
      $camposEditable = parent::cargarSubContenido();
      
  	  //Demanda.
	  $columnasDemanda = '{"Campos":[
	                                 {"Nombre": "", "Columna":"Seleccionado", "Ordenacion":"na", "Tipo":"ra", "Tamano":20, "Filtro":"&nbsp;", "Alineacion":"left"},
		                             {"Nombre": "Titulo", "Columna":"Titulo", "Ordenacion":"str", "Tipo":"ro", "Tamano":180, "Filtro":"#text_filter", "Alineacion":"left"},
		                             {"Nombre": "Descripcion", "Columna":"DescripcionFormateada", "Ordenacion":"str", "Tipo":"ro", "Tamano":"*", "Filtro":"#text_filter", "Alineacion":"left"}
                                    ]}';
          $sistema = Session::get(ComponenteBtMalagaControl::SISTEMA); 
          $records = DB::query('select distinct ContenidoEditable.ClassName,ContenidoEditableConPermisos.*,DemandaBtMalaga.*,ServicioBtMalaga.* from ContenidoEditable,ContenidoEditableConPermisos,DemandaBtMalaga,ServicioBtMalaga where ContenidoEditable.ID=DemandaBtMalaga.ID and ContenidoEditableConPermisos.ID=ContenidoEditable.ID and ServicioBtMalaga.ID=DemandaBtMalaga.ID and ServicioBtMalaga.SistemaID = '.$sistema.' and ServicioBtMalaga.Publicado = 1 and ServicioBtMalaga.Borrado=0');
          $demandas= singleton('DemandaBtMalaga')->buildDataObjectSet($records);
	  $demandaField = new DataGridField(
	                                    'ServicioID',
	                                    $columnasDemanda,
                                            $demandas,
	                                    $this->ServicioID
	                                   );     
	  $campoDemanda = new CampoEditable();
          $campoDemanda->setNombre('Demanda');
          $campoDemanda->setField($demandaField);
          $campoDemanda->setValidador(new ReferenciaRequeridaValidador());

      $camposEditable->add($campoDemanda);
                        
      return $camposEditable;      
    } 

    public function ponerEnHeredados() {
      return true;
    }

    
}
?>